This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 447429 - Review Request: matchbox-keyboard
Review Request: matchbox-keyboard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 17:30 EDT by jmccann
Modified: 2015-01-14 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Clasen 2008-05-19 23:09:18 EDT
builds in mock after adding some missing BuildRequires:

libpng-devel, libXtst-devel

rpmlint output on the built packages:
rpmlint
/var/lib/mock/fedora-9-i386/result/matchbox-keyboard-0.1-0.2008.05.19.1.fc9.i386.rpm

matchbox-keyboard.i386: W: no-documentation
matchbox-keyboard.i386: W: one-line-command-in-%post update-desktop-database

for docs, should include ChangeLog, COPYING, AUTHORS, README

for the update-desktop-database usage, the recommended form is:

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:



package name: ok
spec file name: ok
packaging guidelines: ok, but 
  - should add a hint about where to get the svn snapshot
  - see the above comment about update-desktop-database
  - the explicit Requires for libfakekey is unnecessary
license: ok
license field: ok
license file: need to include COPYING
spec file language: ok
spec file legibility: ok
upstream sources: ok
buildable: ok
ExcludeArch: n/a
BuildRequires: need to add libpng-devel and libXtst-devel
locale handling: ok
ldconfig: ok
relocatable: n/a
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: n%d/a
%doc: ok
headers: n/a
static libs: n/a
pkgconfig files: n/a
shared libs: n/a
devel package: n/a
libtool archives: n/a
gui app: ok
directory ownership: ok
%install: ok
utf8 filenames: ok

Comment 2 jmccann 2008-05-20 10:18:20 EDT
Ok, updated now.  Thanks.
Comment 3 Matthias Clasen 2008-05-20 10:34:00 EDT
Looks better now, just drop the explicit libfakekey Requires. 
Automatic library dependencies take care of that already.
Comment 4 jmccann 2008-05-20 10:40:18 EDT
Ah ok.  Updated in place again.  Thanks.
Comment 5 Matthias Clasen 2008-05-20 10:57:48 EDT
Ok, approved.
Comment 6 jmccann 2008-05-20 11:23:36 EDT
New Package CVS Request
=======================
Package Name: matchbox-keyboard
Short Description: An on screen virtual keyboard
Owners: mccann
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-05-20 12:16:46 EDT
cvs done.
Comment 8 Matthias Clasen 2008-06-16 23:53:05 EDT
It has been built.

Note You need to log in before you can comment on or make changes to this bug.